IF OBJECT_ID(N'tempdb..#TMP_TNB') IS NOT NULL
DROP TABLE #TMP_TNB
GO

-- dezaktywacja triggera
ALTER TABLE [CDN].[TypNieobec] DISABLE TRIGGER [TypNieobec_Update_Trigger]
GO

-- wyszukanie aktualnego ID
declare @tnkid as int
set @tnkid = (select TOP 1 TNK_TnkId from cdn.TypNieobecKartaPracy where TNK_Akronim = 'url.op.')

-- utworzenie tabeli tymczasowej, podstawienie do tabeli tymczasowej wszystkich rekordw o typie aktualnym
select * into #TMP_TNB from cdn.TypNieobec
where TNB_TnkId = @tnkid

-- tymczasowa zmiana FK
update cdn.TypNieobec set TNB_TnkId = 1
from cdn.TypNieobec
left join #TMP_TNB on (cdn.TypNieobec .TNB_TnbId = #TMP_TNB.TNB_TnbId)
where #TMP_TNB.TNB_TnbId is not null

-- skasowanie rekordu z bdnym ID
DELETE FROM cdn.TypNieobecKartaPracy WHERE cdn.TypNieobecKartaPracy.TNK_Akronim = 'url.op.'

-- reset licznika
DBCC CHECKIDENT(N'cdn.TypNieobecKartaPracy', RESEED, 20);
GO

-- dodanie rekordu (powinno ustawi prawidowe ID)
insert into cdn.TypNieobecKartaPracy (TNK_Akronim, TNK_Nazwa, TNK_SortOrder)
values ('url.op.', 'Urlop opiekuczy', 13)

-- wyszukanie nowego ID)
declare @newtnkid as int
set @newtnkid = (select TOP 1 TNK_TnkId from cdn.TypNieobecKartaPracy where TNK_Akronim = 'url.op.')

-- przywrcenie FK (z ustawieniem na nowe prawidowe ID)
update cdn.TypNieobec set TNB_TnkId = @newtnkid
from cdn.TypNieobec
left join #TMP_TNB on (cdn.TypNieobec .TNB_TnbId = #TMP_TNB.TNB_TnbId)
where #TMP_TNB.TNB_TnbId is not null

-- aktywacja triggera
ALTER TABLE [CDN].[TypNieobec] ENABLE TRIGGER [TypNieobec_Update_Trigger]
GO

-- usuniecie tabeli tymczasowej
DROP TABLE #TMP_TNB
GO